﻿using DataModel.Database;

namespace UI_WinForms;

internal static class AppEvents
{
    // Section changed event which can be subscribed:
    internal static event EventHandler<Section> WhenSectionChanged;
    
    // Method to raise the section changed event:
    internal static void SectionChanged(Section section) => AppEvents.WhenSectionChanged?.Invoke(null, section);
    
    // Text element changed event which can be subscribed:
    internal static event EventHandler<TextElement> WhenTextElementChanged;
    
    // Method to raise the text element changed event:
    internal static void TextElementChanged(TextElement textElement) => AppEvents.WhenTextElementChanged?.Invoke(null, textElement);
}